Subject: Re: [PATCH v3 2/2] netfilter: Create revision 2 of xt_hashlimit to support higher pps rates

From: Pablo Neira Ayuso <[email-masked]>
Date: Sun, 25 Sep 2016 13:35:01 +0200

On Thu, Sep 22, 2016 at 02:39:45PM -0400, Vishwanath Pai wrote:
> Thanks for pointing this out, I will reorder the fields to:
> 
> struct hashlimit_cfg2 {
> 	__u64 avg;    /* Average secs between packets * scale */
> 	__u64 burst;
> 	__u32 mode; /* bitmask of XT_HASHLIMIT_HASH_* */
> 
> This should fix the hole and avoid padding.

I have manually mangled this here, and applied, to get this change in
this in merge window.

I also have to revert the rename of XT_HASHLIMIT_SCALE to
XT_HASHLIMIT_SCALE_v1. This is exposed through uapi, this change would
break userspace.

Please, follow up in case of any fallout, thanks.